Bug 239511 - math/fftw3: Add arm64 performance counter and enable neon
Summary: math/fftw3: Add arm64 performance counter and enable neon
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Some People
Assignee: Raphael Kubo da Costa
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-07-29 08:35 UTC by daniel.engberg.lists
Modified: 2019-11-03 13:12 UTC (History)
2 users (show)

See Also:
rakuco: maintainer-feedback-


Attachments
v1 (5.23 KB, patch)
2019-07-29 08:35 UTC, daniel.engberg.lists
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2019-07-29 08:35:54 UTC
Created attachment 206137 [details]
v1

Enable cycle counter via the PMCCNTR_EL0 register on arm64 for all variants
Enable NEON instructions for -float flavor

Runtime tested with bench utility in tests directory (./work/fftw-3.3.8/tests/bench via ports) on Orange Pi PC running 13.0-CURRENT r347967
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-26 11:59:02 UTC
Comment on attachment 206137 [details]
v1

Approved by: portmgr (maintainer timeout: 1 month)

Pending QA
Comment 2 daniel.engberg.lists 2019-08-27 06:13:19 UTC
Runtime tested with bench utility in tests directory (./work/fftw-3.3.8/tests/bench if compiling ports) on Orange Pi PC running 13.0-CURRENT r347967 - https://reviews.freebsd.org/D20398
Comment 3 Mikael Urankar freebsd_committer 2019-10-06 09:01:25 UTC
ping, 4 months
Comment 4 commit-hook freebsd_committer 2019-11-03 13:11:07 UTC
A commit references this bug:

Author: rakuco
Date: Sun Nov  3 13:11:01 UTC 2019
New revision: 516418
URL: https://svnweb.freebsd.org/changeset/ports/516418

Log:
  Add arm64 performance counter and enable NEON support.

  * Enable cycle counter via the PMCCNTR_EL0 register on arm64 for all variants
  * Enable NEON instructions for -float flavor
  * Runtime tested with bench utility in tests directory
    (./work/fftw-3.3.8/tests/bench if compiling ports) on Orange Pi PC running
    13.0-CURRENT r347967

  PR:		239511
  Submitted by:	daniel.engberg.lists@pyret.net
  Reviewed by:	mikael.urankar@gmail.com
  Approved by:	jhale (maintainer timeout, 3 months)

Changes:
  head/math/fftw3/Makefile
Comment 5 Raphael Kubo da Costa freebsd_committer 2019-11-03 13:12:42 UTC
Thank you!